apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "helm.fullname" . }}
  labels:
    {{- include "helm.labels" . | nindent 4 }}
spec:
{{- if not .Values.autoscaling.enabled }}
  replicas: {{ .Values.replicaCount }}
{{- end }}
  selector:
    matchLabels:
      {{- include "helm.selectorLabels" . | nindent 6 }}
  template:
    metadata:
    {{- with .Values.podAnnotations }}
      annotations:
        {{- toYaml . | nindent 8 }}
    {{- end }}
      labels:
        {{- include "helm.selectorLabels" . | nindent 8 }}
    spec:
      imagePullSecrets:
        - name: registry-credentials
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ .Values.image.registry }}/{{ .Values.image.name }}:{{ .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          env:
            - name: APP_VERSION
              value: {{ .Chart.appVersion }}
            - name: SENTRY_HANDLE
              value: {{ .Values.sentry.handle }}
            - name: DB_NAME
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.database.credentialsName }}
                  key: db_name
            - name: DB_USER
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.database.credentialsName }}
                  key: db_user
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.database.credentialsName }}
                  key: db_password
            - name: DB_HOST
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.database.credentialsName }}
                  key: db_host
            - name: DB_PORT
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.database.credentialsName }}
                  key: db_port
          ports:
            - name: http
              containerPort: {{ .Values.service.port }}
              protocol: TCP
#          livenessProbe:
#            httpGet:
#              path: /
#              port: http
#          readinessProbe:
#            httpGet:
#              path: /
#              port: http
